package com.sf._03_set;

import java.util.HashSet;

public class Test1 {
    public static void main(String[] args) {
        Student student = new Student("zhangsan",10);
        Student student1 = new Student("zhangsan",10);
        Student student2 = new Student("lisi",20);

        HashSet<Student> students = new HashSet<>();
        students.add(student);
        students.add(student1);
        students.add(student2);

        for (Student student3 : students) {
            System.out.println(student3);
        }
        //Object 当中hashCode 方法默认是根据 对象的地址值来进行计算
//        System.out.println(student.hashCode());
//        System.out.println(student1.hashCode());

        /**
         * 创建HashSet
         * 创建3 个Student 对象往里面存储    3 个对象中 有个2 对象内容是相同
         * 1 先不重写hashCode 和 equals 方法
         * 2 重写hashCode 不重写equals 方法
         * 3 重写hashCode 方法并且重写equlas 方法
         *
         * 遍历hashSet 观察结果
         */
    }
}
